Bug 133682 - gnome theme manager eats my cpu, is selectively responsive
gnome theme manager eats my cpu, is selectively responsive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-26 03:52 EDT by Frank Hsueh
Modified: 2008-05-09 13:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Hsueh 2004-09-26 03:52:58 EDT
Description of problem:
summary says all.

I'm not exactly sure how to debug this...

Version-Release number of selected component (if applicable):
control-center-2.6.1-3

How reproducible:
Always

Steps to Reproduce:
1. `gnome-theme-manager`
2.
3.
    
Actual Results:  cpu is eaten up.  ~ 60% user, 40% system

Expected Results:  normal theme manager

Additional info:

I'm using the FC2 + latest updates, plus a few custom RPMS (galeon,
drivel, gnome-theme-extras).
Comment 1 Frank Hsueh 2004-09-26 03:55:32 EDT
forgot to say that the GUI is sort of responsive to user input, but
screen does not redraw.

gdb, attach, bt gives:

#0  0x00a37402 in ?? ()
#1  0x00f605a9 in ioctl () from /lib/tls/libc.so.6
#2  0x007320b2 in XUnlockDisplay () from /usr/X11R6/lib/libX11.so.6
#3  0x00732e78 in _X11TransBytesReadable () from
/usr/X11R6/lib/libX11.so.6
#4  0x007128db in _XEventsQueued () from /usr/X11R6/lib/libX11.so.6
#5  0x00705f39 in XPending () from /usr/X11R6/lib/libX11.so.6
#6  0x00a827e2 in gdk_x11_drawable_get_xid () from
/usr/lib/libgdk-x11-2.0.so.0
#7  0x00a84f0f in gdk_x11_register_standard_event_type () from
/usr/lib/libgdk-x11-2.0.so.0
#8  0x00958728 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#9  0x009590b6 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#10 0x009598a3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#11 0x003bfc33 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#12 0x0805114c in main ()
Comment 2 Matthew Miller 2005-04-26 11:47:59 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Ray Strode [halfline] 2005-05-11 17:34:50 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.